---
title: Destroy Instance
url: https://docs.vultr.com/products/compute/instances/bare-metal/management/destroy-instance
description: Learn how to permanently delete a Vultr Bare Metal Instance and all associated data from your account.
publish_date: 2024-09-23T20:20:24.589231Z
last_updated: 2026-05-26T18:50:21.746786Z
---

# How to Destroy a Vultr Bare Metal Instance

Destroying an instance removes the public IP address and deletes the server from your Vultr account. Destroying an instance cannot be reversed and any instance data cannot be recovered unless a backup or snapshot is available in your Vultr account.

Follow this guide to destroy a Vultr Bare Metal instance using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Bare Metal instance to open its management page.
    1. Click **Destroy Server** on the top-right navigation menu to destroy the Bare Metal server instance.
    1. Check the confirmation prompt and click **Destroy Server** to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Bare Metal Instances** endpoint](https://www.vultr.com/api/#tag/baremetal/operation/list-baremetals) and note the target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/bare-metals" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete Bare Metal** endpoint](https://www.vultr.com/api/#tag/baremetal/operation/delete-baremetal) to destroy the instance.

        ```console
        $ curl "https://api.vultr.com/v2/bare-metals/{baremetal-id}" \
          -X DELETE \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all Bare Metal instances available in your Vultr account and note the target instance's ID.

        ```console
        $ vultr-cli bare-metal list
        ```

    1. Destroy the instance.

        ```console
        $ vultr-cli bare-metal delete <instance_id>
        ```

=== "Terraform"

    1. Open your Terraform configuration and locate the Bare Metal server resource.

    1. Remove the resource block or destroy it by target.

        ```terraform
        resource "vultr_bare_metal_server" "bm1" {
            label    = "bm1"
            region   = "ewr"
            plan     = "vbm-4c-32gb"
            os_id    = 2284
            hostname = "bm1"
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_bare_metal_server.bm1
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
